Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language.base
[Java] Interface ProjectSourceSet

    org.gradle.api.NamedDomainObjectSet
      java.lang.Iterable
          org.gradle.api.NamedDomainObjectCollection
              org.gradle.api.DomainObjectCollection
                  org.gradle.util.Configurable
                      org.gradle.language.base.ProjectSourceSet
                          java.util.Collection
                              org.gradle.api.NamedDomainObjectContainer

All Superinterfaces:
  NamedDomainObjectSet, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Configurable, Collection, NamedDomainObjectContainer

    @Incubating
    public interface ProjectSourceSet
    extends NamedDomainObjectContainer

A container of FunctionalSourceSets. Added to a project by the LanguageBasePlugin.

Method Summary

Methods inherited from interface NamedDomainObjectContainer
configure, create, create, create, maybeCreate

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Gradle API 1.10